Hestia failed install on Ubuntu 18.04

Welcome to the Hestia Control Panel installer!

Please wait, the installer is now checking for missing dependencies…

E: The repository ‘https://mirror.mva-n.net/mariadb/repo/10.5/ubuntu bionic Release’ does not have a Release file.
[ * ] Installing dependencies…

            _   _           _   _        ____ ____
           | | | | ___  ___| |_(_) __ _ / ___|  _ \
           | |_| |/ _ \/ __| __| |/ _` | |   | |_) |
           |  _  |  __/\__ \ |_| | (_| | |___|  __/
           |_| |_|\___||___/\__|_|\__,_|\____|_|

                      Hestia Control Panel
                              1.3.2
                        www.hestiacp.com

========================================================================

Thank you for downloading Hestia Control Panel! In a few moments,
we will begin installing the following components on your server:

  • NGINX Web / Proxy Server
  • Apache Web Server (as backend)
  • PHP-FPM Application Server
  • Bind DNS Server
  • Exim Mail Server
  • Dovecot POP3/IMAP Server
  • MariaDB Database Server
  • Vsftpd FTP Server
  • Firewall (Iptables) + Fail2Ban Access Monitor

========================================================================

Installation backup directory: /root/hst_install_backups/110120212342
Installation log file: /root/hst_install_backups/hst_install-110120212342.log

Adding required repositories to proceed with installation:

[ * ] NGINX
[ * ] PHP
[ * ] Apache2
[ * ] MariaDB
[ * ] Hestia Control Panel

Updating currently installed packages, please wait… E: The repository ‘https://mirror.mva-n.net/mariadb/repo/10.5/ubuntu bionic Release’ does not have a Release file.
|
The installer is now downloading and installing all required packages.
NOTE: This process may take 10 to 15 minutes to complete, please wait…
|
Error: apt-get install failed

Did you have a look at the log file?

Please provide us with the install command. Did you configure any options.

Sounds like an issue repository where we don’t have any control over.

# cat hst_install_backups/hst_install-120120210028.log
Reading package lists...
Building dependency tree...
Reading state information...
ca-certificates is already the newest version (20180409).
curl is already the newest version (7.58.0-2ubuntu3.8).
dirmngr is already the newest version (2.2.4-1ubuntu1.2).
dirmngr set to manually installed.
gnupg is already the newest version (2.2.4-1ubuntu1.2).
gnupg set to manually installed.
software-properties-common is already the newest version (0.96.24.32.11).
software-properties-common set to manually installed.
wget is already the newest version (1.19.4-1ubuntu2.2).
The following NEW packages will be installed:
  apt-transport-https
0 upgraded, 1 newly installed, 0 to remove and 3 not upgraded.
Need to get 1,696 B of archives.
After this operation, 153 kB of additional disk space will be used.
Get:1 http://security.ubuntu.com/ubuntu bionic-security/universe amd64 apt-transport-https all 1.6.12ubuntu0.2 [1,696 B]
Fetched 1,696 B in 0s (13.0 kB/s)
Selecting previously unselected package apt-transport-https.
(Reading database ... 69785 files and directories currently installed.)
Preparing to unpack .../apt-transport-https_1.6.12ubuntu0.2_all.deb ...
Unpacking apt-transport-https (1.6.12ubuntu0.2) ...
Setting up apt-transport-https (1.6.12ubuntu0.2) ...
Reading package lists...
Building dependency tree...
Reading state information...
Calculating upgrade...
The following packages have been kept back:
  libargon2-0 libxml2
The following packages will be upgraded:
  libidn2-0 libpcre3 libssl1.1 openssl python-pip-whl python3-pip
  qemu-guest-agent
7 upgraded, 0 newly installed, 0 to remove and 2 not upgraded.
Need to get 4,673 kB of archives.
After this operation, 190 kB of additional disk space will be used.
Get:1 http://ppa.launchpad.net/ondrej/php/ubuntu bionic/main amd64 libpcre3 amd64 2:8.44-2+ubuntu18.04.1+deb.sury.org+1 [239 kB]
Get:2 http://security.ubuntu.com/ubuntu bionic-security/universe amd64 python3-pip all 9.0.1-2.3~ubuntu1.18.04.4 [114 kB]
Get:3 http://ppa.launchpad.net/ondrej/php/ubuntu bionic/main amd64 libidn2-0 amd64 2.3.0-1+ubuntu18.04.1+deb.sury.org+2 [69.1 kB]
Get:4 http://security.ubuntu.com/ubuntu bionic-security/universe amd64 python-pip-whl all 9.0.1-2.3~ubuntu1.18.04.4 [1,653 kB]
Get:5 http://ppa.launchpad.net/ondrej/apache2/ubuntu bionic/main amd64 libssl1.1 amd64 1.1.1i-1+ubuntu18.04.1+deb.sury.org+4 [1,531 kB]
Get:6 http://security.ubuntu.com/ubuntu bionic-security/universe amd64 qemu-guest-agent amd64 1:2.11+dfsg-1ubuntu7.34 [233 kB]
Get:7 http://ppa.launchpad.net/ondrej/apache2/ubuntu bionic/main amd64 openssl amd64 1.1.1i-1+ubuntu18.04.1+deb.sury.org+4 [834 kB]
Preconfiguring packages ...
Fetched 4,673 kB in 1s (3,755 kB/s)
(Reading database ... 69789 files and directories currently installed.)
Preparing to unpack .../libpcre3_2%3a8.44-2+ubuntu18.04.1+deb.sury.org+1_amd64.deb ...
Unpacking libpcre3:amd64 (2:8.44-2+ubuntu18.04.1+deb.sury.org+1) over (2:8.39-9) ...
Setting up libpcre3:amd64 (2:8.44-2+ubuntu18.04.1+deb.sury.org+1) ...
(Reading database ... 69789 files and directories currently installed.)
Preparing to unpack .../libidn2-0_2.3.0-1+ubuntu18.04.1+deb.sury.org+2_amd64.deb ...
Unpacking libidn2-0:amd64 (2.3.0-1+ubuntu18.04.1+deb.sury.org+2) over (2.0.4-1.1ubuntu0.2) ...
Setting up libidn2-0:amd64 (2.3.0-1+ubuntu18.04.1+deb.sury.org+2) ...
(Reading database ... 69812 files and directories currently installed.)
Preparing to unpack .../libssl1.1_1.1.1i-1+ubuntu18.04.1+deb.sury.org+4_amd64.deb ...
Unpacking libssl1.1:amd64 (1.1.1i-1+ubuntu18.04.1+deb.sury.org+4) over (1.1.1-1ubuntu2.1~18.04.5) ...
Preparing to unpack .../openssl_1.1.1i-1+ubuntu18.04.1+deb.sury.org+4_amd64.deb ...
Unpacking openssl (1.1.1i-1+ubuntu18.04.1+deb.sury.org+4) over (1.1.1-1ubuntu2.1~18.04.5) ...
Preparing to unpack .../python3-pip_9.0.1-2.3~ubuntu1.18.04.4_all.deb ...
Unpacking python3-pip (9.0.1-2.3~ubuntu1.18.04.4) over (9.0.1-2.3~ubuntu1.18.04.1) ...
Preparing to unpack .../python-pip-whl_9.0.1-2.3~ubuntu1.18.04.4_all.deb ...
Unpacking python-pip-whl (9.0.1-2.3~ubuntu1.18.04.4) over (9.0.1-2.3~ubuntu1.18.04.1) ...
Preparing to unpack .../qemu-guest-agent_1%3a2.11+dfsg-1ubuntu7.34_amd64.deb ...
Unpacking qemu-guest-agent (1:2.11+dfsg-1ubuntu7.34) over (1:2.11+dfsg-1ubuntu7.23) ...
Setting up python-pip-whl (9.0.1-2.3~ubuntu1.18.04.4) ...
Setting up qemu-guest-agent (1:2.11+dfsg-1ubuntu7.34) ...
Setting up libssl1.1:amd64 (1.1.1i-1+ubuntu18.04.1+deb.sury.org+4) ...
Setting up openssl (1.1.1i-1+ubuntu18.04.1+deb.sury.org+4) ...
Installing new version of config file /etc/ssl/openssl.cnf ...
Setting up python3-pip (9.0.1-2.3~ubuntu1.18.04.4) ...
Processing triggers for ureadahead (0.100.0-21) ...
Processing triggers for libc-bin (2.27-3ubuntu1) ...
Processing triggers for systemd (237-3ubuntu10.38) ...
Processing triggers for man-db (2.8.3-2ubuntu0.1) ...    

Command:
/bin/bash /tmp/install.sh --force --interactive no --lang en --spamassassin no --multiphp yes

I know, but we set this repo for install CP.

We might need to consider changing it:

https://forum.hestiacp.com/search?q=https://mirror.mva-n.net

Please try:
# MariaDB 10.5 repository list - created 2021-01-11 21:45 UTC # http://downloads.mariadb.org/mariadb/repositories/ deb [arch=amd64,arm64,ppc64el] https://ftp.nluug.nl/db/mariadb/repo/10.5/ubuntu bionic main deb-src https://ftp.nluug.nl/db/mariadb/repo/10.5/ubuntu bionic main

with repo https://ftp.nluug.nl/db/mariadb/repo/10.5/ubuntu bionic main error resolve, but script next step failed

Updating currently installed packages, please wait.../
 The installer is now downloading and installing all required packages.
 NOTE: This process may take 10 to 15 minutes to complete, please wait...
 |
 Error: apt-get install failed

in log file:

    # cat hst_install_backups/hst_install-12012021013
    hst_install-120120210130.log  hst_install-120120210133.log  hst_install-120120210137.log
    hst_install-120120210131.log  hst_install-120120210136.log
    [email protected]:~# cat hst_install_backups/hst_install-120120210137.log
    Reading package lists...
    Building dependency tree...
    Reading state information...
    ca-certificates is already the newest version (20180409).
    curl is already the newest version (7.58.0-2ubuntu3.8).
    dirmngr is already the newest version (2.2.4-1ubuntu1.2).
    gnupg is already the newest version (2.2.4-1ubuntu1.2).
    software-properties-common is already the newest version (0.96.24.32.11).
    wget is already the newest version (1.19.4-1ubuntu2.2).
    apt-transport-https is already the newest version (1.6.12ubuntu0.2).
    0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    Reading package lists...
    Building dependency tree...
    Reading state information...
    Calculating upgrade...
    The following packages have been kept back:
      libargon2-0 libxml2
    0 upgraded, 0 newly installed, 0 to remove and 2 not upgraded.